Endpoint Groups
Sessions
Sessions operations within the Notebooks API group.
Create notebook sessionPOST
/notebooks/{notebookId}/sessions
Operation ID
createNotebookSessionPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
notebookId |
string |
true |
- |
Responses
| Code | Description |
|---|---|
201 |
The request has succeeded and a new resource has been created as a result. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
Close notebook sessionDELETE
/notebooks/{notebookId}/sessions/{sessionId}
Operation ID
closeNotebookSessionPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
notebookId |
string |
true |
- |
sessionId |
string |
true |
- |
Responses
| Code | Description |
|---|---|
204 |
There is no content to send for this request, but the headers may be useful. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |